GuideLab API

Update Scanner Settings

Update scanner settings for the current organization. Creates default settings if none exist (upsert). Controls auto-pool amount, disconnection emails, folder paths, and ScanHub Lite mode.

PUT
/scanner-settings

Update scanner settings for the current organization. Creates default settings if none exist (upsert). Controls auto-pool amount, disconnection emails, folder paths, and ScanHub Lite mode.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/scanner-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "id": "string",    "organizationId": "string",    "autoPoolCaseAmount": 0,    "sendDisconnectionEmail": true,    "disconnectionEmailRecipients": [      "string"    ],    "newOrderFolderPath": "string",    "existingOrderFolderPath": "string",    "useScanhubLite": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty